﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Domain
{
    public class ContactType
    {
        // this field is shared between all instances of this class
        private static int _id;

        public ContactType()
        {
            // increment it by one
            // first instance of class will get id 1
            _id++;
            ContactTypeId = _id;
        }


        public int ContactTypeId { get; }

        public string ContactTypeValue { get; set; }

        public List<Contact> Contacts { get; set; } = new List<Contact>();

        public override string ToString()
        {
            return 
                ContactTypeId + " - " + 
                ContactTypeValue + " has " + 
                Contacts.Count + " contacts";
        }
    }
}
